Page MenuHomePhabricator

Deploy item/property link formatter that uses cache instead of wb_terms DB table
Closed, ResolvedPublic1 Story Points

Description

Start only with using the formatter to display link for Q1, and gradually increase the amount of items covered by the "new" formatter.

Current plan

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2018, 1:39 PM
WMDE-leszek renamed this task from Deploy item/property link formatter that uses to Deploy item/property link formatter that uses cache instead of wb_terms DB table.Aug 13 2018, 1:39 PM
WMDE-leszek updated the task description. (Show Details)Aug 13 2018, 1:45 PM
WMDE-leszek updated the task description. (Show Details)Aug 15 2018, 7:28 AM

everything pushed a week forward as no deployments in the week of 2018-08-15...

WMDE-leszek updated the task description. (Show Details)Aug 22 2018, 7:26 AM
WMDE-leszek updated the task description. (Show Details)Aug 24 2018, 11:41 AM
WMDE-leszek updated the task description. (Show Details)Aug 24 2018, 12:31 PM
WMDE-leszek updated the task description. (Show Details)Aug 24 2018, 12:35 PM
WMDE-leszek updated the task description. (Show Details)Aug 26 2018, 11:16 AM
Addshore triaged this task as Low priority.
Addshore moved this task from Incoming to Ready to go on the Wikidata-Campsite board.
Addshore moved this task from incoming to in progress on the Wikidata board.
Addshore added a subscriber: Addshore.

@WMDE-leszek im going to claim this and slowly work on it with you.

Per T201930#4712029 I think you need to upload some numbers first though to make sure things are okay?

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 12 2018, 5:43 PM
Addshore updated the task description. (Show Details)Nov 12 2018, 5:43 PM

Change 473626 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Record cache misses for "FormatterCache"

https://gerrit.wikimedia.org/r/473626

Change 473695 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] FormatterCache, wrap in hash cache

https://gerrit.wikimedia.org/r/473695

Change 473626 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Record cache misses for "FormatterCache"

https://gerrit.wikimedia.org/r/473626

Change 473695 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FormatterCache, wrap in hash cache

https://gerrit.wikimedia.org/r/473695

Is this still waiting on @WMDE-leszek uploading numbers or something else?

Is this still waiting on @WMDE-leszek uploading numbers or something else?

Nope not really.

T201930 was merged today and after that is deployed and we make 1 more dashboard we can close that ticket.

This ticket is now just blocked on T201838 being reviewed and merged and deployed.

This is now just waiting for T201838 to be deployed which will be happening this week.
Then we can move it back to TODO :)

Change 484245 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter

https://gerrit.wikimedia.org/r/484245

Change 484247 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000

https://gerrit.wikimedia.org/r/484247

Change 484248 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on

https://gerrit.wikimedia.org/r/484248

Addshore updated the task description. (Show Details)Jan 14 2019, 3:59 PM

Change 484245 merged by jenkins-bot:
[operations/mediawiki-config@master] Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter

https://gerrit.wikimedia.org/r/484245

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:08:42Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter PT 1/2 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:09:44Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: T201831 T201838 Introduce wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter PT 2/2 (duration: 00m 45s)

Change 484247 merged by jenkins-bot:
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000

https://gerrit.wikimedia.org/r/484247

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:11:45Z] <addshore@deploy1001> sync-file aborted: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000 (duration: 00m 01s)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:13:05Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter 3000 (duration: 00m 46s)

Change 484248 merged by jenkins-bot:
[operations/mediawiki-config@master] wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on

https://gerrit.wikimedia.org/r/484248

Mentioned in SAL (#wikimedia-operations) [2019-01-14T17:21:57Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201831 T201838 wmgWikibaseMaxItemIdForNewPropertyIdHtmlFormatter fully on (duration: 00m 46s)

Addshore closed this task as Resolved.
Addshore updated the task description. (Show Details)